# Method: projects.locations.instances.rescheduleMaintenance

- [HTTP request](https://docs.cloud.google.com/memorystore/docs/memcached/reference/rest/v1/projects.locations.instances/rescheduleMaintenance#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/memorystore/docs/memcached/reference/rest/v1/projects.locations.instances/rescheduleMaintenance#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/memorystore/docs/memcached/reference/rest/v1/projects.locations.instances/rescheduleMaintenance#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/memorystore/docs/memcached/reference/rest/v1/projects.locations.instances/rescheduleMaintenance#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/memorystore/docs/memcached/reference/rest/v1/projects.locations.instances/rescheduleMaintenance#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/memorystore/docs/memcached/reference/rest/v1/projects.locations.instances/rescheduleMaintenance#body.aspect)
- [RescheduleType](https://docs.cloud.google.com/memorystore/docs/memcached/reference/rest/v1/projects.locations.instances/rescheduleMaintenance#RescheduleType)
- [Examples](https://docs.cloud.google.com/memorystore/docs/memcached/reference/rest/v1/projects.locations.instances/rescheduleMaintenance#examples)
- [Try it!](https://docs.cloud.google.com/memorystore/docs/memcached/reference/rest/v1/projects.locations.instances/rescheduleMaintenance#try-it)

Reschedules upcoming maintenance event.

### HTTP request

`POST https://memcache.googleapis.com/v1/{instance=projects/*/locations/*/instances/*}:rescheduleMaintenance`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `instance` | `string` Required. Memcache instance resource name using the form: `projects/{projectId}/locations/{locationId}/instances/{instanceId}` where `locationId` refers to a GCP region. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "rescheduleType": enum (`https://docs.cloud.google.com/memorystore/docs/memcached/reference/rest/v1/projects.locations.instances/rescheduleMaintenance#RescheduleType`), "scheduleTime": string } ``` |

| Fields ||
|---|---|
| `rescheduleType` | ``enum (`https://docs.cloud.google.com/memorystore/docs/memcached/reference/rest/v1/projects.locations.instances/rescheduleMaintenance#RescheduleType`)`` Required. If reschedule type is SPECIFIC_TIME, must set up scheduleTime as well. |
| `scheduleTime` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#timestamp` format)`` Timestamp when the maintenance shall be rescheduled to if rescheduleType=SPECIFIC_TIME, in RFC 3339 format, for example `2012-11-15T16:19:00.094Z`. Uses RFC 3339, where generated output will always be Z-normalized and uses 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: `"2014-10-02T15:01:23Z"`, `"2014-10-02T15:01:23.045123456Z"` or `"2014-10-02T15:01:23+05:30"`. |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/memorystore/docs/memcached/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

## RescheduleType

Reschedule options.

| Enums ||
|---|---|
| `RESCHEDULE_TYPE_UNSPECIFIED` | Not set. |
| `IMMEDIATE` | If the user wants to schedule the maintenance to happen now. |
| `NEXT_AVAILABLE_WINDOW` | If the user wants to use the existing maintenance policy to find the next available window. |
| `SPECIFIC_TIME` | If the user wants to reschedule the maintenance to a specific time. |